import { jsx } from "react/jsx-runtime";
import { TokenARKM as TokenARKM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenARKM = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "ARKM", "data-name": "TokenARKM", ...props, children: /* @__PURE__ */ jsx(TokenARKM$1, { variant }) });
  }
);
TokenARKM.displayName = "TokenARKM";
Object.assign(TokenARKM, { isGdsIcon: true });
export {
  TokenARKM
};
